#include <psemek/app/storage.hpp>
#include <psemek/util/executable_path.hpp>

namespace psemek::app
{

	namespace
	{

		static std::filesystem::path global_storage_root = util::executable_path().parent_path();

	}

	std::filesystem::path storage_root()
	{
		return global_storage_root;
	}

	void set_storage_root(std::filesystem::path const & root)
	{
		global_storage_root = root;
	}

}
